/*******************************************************************************
*
*                    ATmega8 Timer 1 Normal Mode Example
*                    -----------------------------------
*
*   Filename:                                    
*   Autor:                  David Kress
*
*   Version:                1.0
*   Date:                   19.1.2013
*   Built with:             ATMEL AVR Studio 4.14 and AVR-GCC; Optimization -01
*
*
*   Clock source:           - Any 8Mhz clock
*
*   Recommended             - High: 0xD9
*   Fuse settings:          - Low:  0xE4
*
*
*
*   Schematic:       ___________________
*                   |      ATMEGA16     |
*          Vcc ---->|Vcc                |
*          Vcc ---->|RESET              |
*                   |                   |
*          GND ---->|GND                |
*                   |                   |
*                   |               PC0 |----> DOUT     
*                   |                   |
*
*******************************************************************************/
#include <avr/io.h>
                                    // Calculations in the comments
                                    // are valid vor a CPU Clock of 8MHz
int main(void)
{
    DDRC = 0x01;                    // Set PC0 as output
    TCCR1B = (1<<CS12)|(1<<CS10);   // Start timer1 with prescaler 1024
									// Fclk_timer = 8MHz/1024 = 7812.5Hz

	for(;;)                         // Endless loop;
    {
        if (TCNT1 & 0x8000)         // Check the MSB of the timer
            PORTC |= 0x01;          // Set PC0
        else
            PORTC &= ~0x01;         // Reset PC0
                                    // F_PA0 = 7812.5Hz/(2^16)=0.1192Hz
                                    // t_period_PC0 = 8.38s

	}   	                        // main() will never be left

	return 0;                       // This line will never be executed
}
